EndsWith
Date: 2015-09-18

org.mockito.internal.matchers

## Class EndsWith

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.mockito.ArgumentMatcher<java.lang.String>
    - - org.mockito.internal.matchers.EndsWith

- All Implemented Interfaces:
    java.io.Serializable, org.hamcrest.Matcher<java.lang.String>, org.hamcrest.SelfDescribing

      public class EndsWith
      extends ArgumentMatcher<java.lang.String>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndsWith(java.lang.String suffix)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `describeTo(org.hamcrest.Description description)` By default this method decamelizes matchers name to promote meaningful names for matchers.
    `boolean` | `matches(java.lang.Object actual)` Returns whether this matcher accepts the given argument.

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, describeMismatch, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EndsWith

          public EndsWith(java.lang.String suffix)

  - ### Method Detail

    - #### matches

          public boolean matches(java.lang.Object actual)

      Description copied from class: `ArgumentMatcher`
      Returns whether this matcher accepts the given argument.

      The method should never assert if the argument doesn't match. It should only return false.

      Specified by:
        `matches` in interface `org.hamcrest.Matcher<java.lang.String>`
      Specified by:
        `matches` in class `ArgumentMatcher<java.lang.String>`
      Parameters:
        `actual` - the argument
      Returns:
        whether this matcher accepts the given argument.

    - #### describeTo

          public void describeTo(org.hamcrest.Description description)

      Description copied from class: `ArgumentMatcher`
      By default this method decamelizes matchers name to promote meaningful names for matchers.

      For example StringWithStrongLanguage matcher will generate 'String with strong language' description in case of failure.

      You might want to override this method to provide more specific description of the matcher (useful when verification failures are reported).

      Specified by:
        `describeTo` in interface `org.hamcrest.SelfDescribing`
      Overrides:
        `describeTo` in class `ArgumentMatcher<java.lang.String>`
      Parameters:
        `description` - the description to which the matcher description is appended.